#!perl

=head1 call-render.t

Test that simple calls to render() are massaged, performed and return
a result all as expected.

=cut

use v5.14;
use lib 't/lib';
use Test::Most tests => 8;
use Test::Net::Async::Graphite;

for (qw(
        csv
        dygraph
        json
        pdf
        png
        raw
        rickshaw
        svg
      )) {
  Test::Net::Async::Graphite::test_api(
    endpoint => 'any://thing/',
    method   => $_,
    content  => 'NOTA' . uc $_,
    target   => 'this.thing',
    param    => { target => 'this.thing', format => $_ },
  );
}
